Citizen.CreateThread(function()
    for skill, value in pairs(Config.Skill) do
        Boost[skill] = {}
        Boost[skill][1] = value.boost
        for i = 2, value.maxLevel do
            Boost[skill][i] = {}
            for competence, add in pairs(value.boost) do
                if type(add) ~= "table" then
                    Boost[skill][i][competence] = Boost[skill][i - 1][competence] + add
                else
                    Boost[skill][i][competence] = {}
                    for x = 1, #add do
                        Boost[skill][i][competence][x] = Boost[skill][i - 1][competence][x] + add[x]
                    end
                end
            end
            if value.specialBoost[i] then
                for competence, add in pairs(value.specialBoost[i]) do
                    if type(add) ~= "table" then
                        Boost[skill][i][competence] = Boost[skill][i][competence] + add
                    else
                        for x = 1, #add do
                            Boost[skill][i][competence][x] = Boost[skill][i][competence][x] + add[x]
                        end
                    end
                end
            end
        end
    end
end)